// Import the DSS packages into our namespace to save on typing
importPackage(Packages.com.ti.debug.engine.scripting);
importPackage(Packages.com.ti.ccstudio.scripting.environment);
importPackage(Packages.java.lang);

// Modify these variables to match your environment. Use forward slashes
var ccs5InstallDir = "C:/ti/ccsv55";
var DSSWorkshopDir = "C:/CCSWorkshop/dss"
var deviceCCXMLFile = DSSWorkshopDir + "/lab2/StellarisLaunchPad.ccxml";
var programToLoad = DSSWorkshopDir + "/lab2/hello.out";
var logFile = DSSWorkshopDir + "/lab4/log.xml";

// Create our scripting environment object - which is the main entry point 
// into any script and the factory for creating other Scriptable Servers and Sessions
var script = ScriptingEnvironment.instance();

// Create a log file in the current directory to log script execution
script.traceBegin(logFile, ccs5InstallDir + "/ccsv5/ccs_base/scripting/examples/DebugServerExamples/DefaultStylesheet.xsl");

// Set trace levels for console and logs
script.traceSetConsoleLevel(TraceLevel.INFO);
script.traceSetFileLevel(TraceLevel.ALL);

script.traceWrite("Begin scripting session");

// Get the Debug Server and start a Debug Session
var debugServer = script.getServer("DebugServer.1");
debugServer.setConfig(deviceCCXMLFile);
var debugSession = debugServer.openSession(".*");

// Check to see if target is already connected
// target.isConnected() API will return 'true' is connected
if (!debugSession.target.isConnected())
{
  // Connect to the CPU
  debugSession.target.connect();
}

// Load a program
debugSession.memory.loadProgram(programToLoad);

// Add a breakpoint at the printf() statement
debugSession.breakpoint.add("hello.c", 7);

// Run the target
debugSession.target.run();

// All done
//debugServer.stop();

script.traceWrite("End scripting session");

// Stop logging and exit.
script.traceEnd();

